## circus 0.12.1+dfsg

=== Makefile ===
.PHONY: docs build test coverage build_rpm clean

ifndef VTENV_OPTS
VTENV_OPTS = -p python2.7 --no-site-packages
endif

VENV?=virtualenv

bin/python:
	$(VENV) $(VTENV_OPTS) .
	bin/python setup.py develop

test: bin/python
	bin/pip install tox
	bin/tox

docs:
	bin/pip install -r doc-requirements.txt --use-mirrors
	SPHINXBUILD=../bin/sphinx-build $(MAKE) -C docs html $^

coverage: bin/coverage
	rm -f `pwd`/.coverage
	rm -rf `pwd`/html
	- COVERAGE_PROCESS_START=`pwd`/.coveragerc COVERAGE_FILE=`pwd`/.coverage PYTHONPATH=`pwd` bin/nosetests -s circus/tests
	bin/coverage combine
	bin/coverage html

bin/coverage: bin/python
	bin/pip install -r test-requirements.txt --use-mirrors
	bin/pip install nose coverage

build_rpm:
	bin/python setup.py bdist_rpm --requires "python26 python-setuptools pyzmq python26-psutil"

clean:
	rm -rf bin .tox include/ lib/ man/ circus.egg-info/ build/
	find . -name "*.pyc" | xargs rm -f
	find . -name "*.un~" | xargs rm -f

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
ifndef SPHINXBUILD
SPHINXBUILD   = sphinx-build
endif
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* $(BUILDDIR)/source/commands*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Circus.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Circus.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Circus"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Circus"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

# Need it to avoid error (hack in ../Makefile to manage dependencies)
bin/coverage:
	@echo "Doc updated"

=== examples/webclient/requirements.txt ===
gevent
flask
hg+https://bitbucket.org/Jeffrey/gevent-websocket#egg=gevent-websocket

=== debian/changelog ===
circus (0.12.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #784653)
  * Do not ship buildout related files
  * Fix the MANIFEST.in to include data files when running 
    'python setup.py build'
  * Fix WorkerMock for newer mock versions
  * Fix man page generation for newer sphinx versions 

 -- David Douard <david.douard@logilab.fr>  Mon, 30 Nov 2015 17:34:18 +0100

=== debian/control ===
Source: circus
Section: admin
Priority: optional
Maintainer: David Douard <david.douard@logilab.fr>
Homepage: http://circus.readthedocs.org
Vcs-Git: git://github.com/circus-tent/circus.git -b debian
Vcs-Browser: https://github.com/circus-tent/circus
Build-Depends:
  debhelper (>= 9),
  dh-python,
  dh-systemd (>= 1.5),
  python-all (>=2.6.6-3),
  python-setuptools,
  python-six (>= 1.3),
  python-nose,
  python-mock (>= 1.0.1),
  python-iowait (>= 0.1),
  python-psutil (>= 1.0.1),
  python-zmq (>= 13.1),
  python-tornado (>= 3.1.1),
  python-yaml,
  python-sphinx,
Standards-Version: 3.9.6
X-Python-Version: >= 2.7

Package: circus
Architecture: all
Depends:
  ${python:Depends},
  ${misc:Depends},
Recommends:
  python-yaml,
  python-gevent (>=0.13),
  python-gevent-websocket,
Suggests:
  python-redis,
  python-pygments,
Description: process & socket manager. It can be used to monitor and control
 processes and sockets.
 .
 Circus can be driven via a command-line interface or programmatically trough
 its Python API.
 .
 It shares some of the goals of Supervisord, BluePill and Daemontools.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=circus
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/examples'
export PYBUILD_AFTER_BUILD=rm -rf '{build_dir}/examples'
%:
	dh $@ --with python2,systemd --buildsystem=pybuild

override_dh_installman:
	$(MAKE) -C docs man
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build

override_dh_installinit:
	dh_installinit --name=circusd

override_dh_systemd_enable:
	dh_systemd_enable --name=circusd

override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/circus-$1\.tar\.gz/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
  https://github.com/circus-tent/circus/tags .*/(\d\S*)\.tar\.gz
